<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no" />

<xsl:variable name="trn1">µ¤¬ў§±ІЎі°®Ґ­€ЈЇ©«Ќђ¦Є†‡ЋЉЊґЃѓ‚‹Ђ„ …Џ‰</xsl:variable>
<xsl:variable name="trn2">abdefghijklmnоprstuvwzəæθƷɳɛäϋöʤϊɚʧ∧∫∂</xsl:variable>
		
<xsl:template match="/">
	<table class="clTbl">
	<xsl:for-each select="/dictionary/card">
		<xsl:variable name="status" select="meanings/meaning/statistics/@status" />
		<xsl:variable name="trans" select="translate(meanings/meaning/@transcription, $trn1, $trn2)" />
		<tr class="clTr{$status}">
		<td><xsl:value-of select="word" /></td>
		<td>
		<xsl:if test="$trans!=''">
			<xsl:text>[</xsl:text>
			<span class="clTrans">
			<xsl:value-of select="$trans" />
			</span>
			<xsl:text>]</xsl:text>
		</xsl:if>
		</td>
		<td class="clRus">
		<xsl:for-each select="meanings/meaning/translations/word">
			<xsl:value-of select="text()" />
			<xsl:if test="position()!=last()">
				<xsl:text>;</xsl:text><br />				
			</xsl:if>
		</xsl:for-each>
		</td>
		<td>
		<xsl:for-each select="meanings/meaning/examples/example">
			<xsl:variable name="t" select="text()"/>
			<xsl:text>▶ </xsl:text>				
			<xsl:choose>
				<xsl:when test="contains($t, ' — ')">
					<xsl:value-of select="substring-before($t, ' — ')"/>
					<span class="clRus">
					<xsl:text> — </xsl:text>
					<xsl:value-of select="substring-after($t, ' — ')"/>
					</span>
				</xsl:when>
				<xsl:when test="contains($t, ' -- ')">
					<xsl:value-of select="substring-before($t, ' -- ')"/>
					<span class="clRus">
					<xsl:text> — </xsl:text>
					<xsl:value-of select="substring-after($t, ' -- ')"/>
					</span>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$t" />
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="position()!=last()">
				<xsl:text> </xsl:text>				
			</xsl:if>
		</xsl:for-each>
		</td>
		</tr>
	</xsl:for-each>
	</table>
</xsl:template>

</xsl:stylesheet>
